Loading...
Searching...
No Matches
caf::policy::profiled< Policy > Struct Template Reference

An enhancement of CAF's scheduling policy which records fine-grained resource utiliziation for worker threads and actors in the parent coordinator of the workers. More...

`#include <profiled.hpp>`

## Public Types

using | coordinator_type = scheduler::profiled_coordinator<profiled<Policy>>

## Public Member Functions

template<class Worker>
void | before_resume (Worker *worker, resumable *job)
template<class Worker>
void | after_resume (Worker *worker, resumable *job)
template<class Worker>
void | after_completion (Worker *worker, resumable *job)

## Static Public Member Functions

static actor_id | id_of (resumable *job)

## Detailed Description

template<class Policy>
struct caf::policy::profiled< Policy >

An enhancement of CAF's scheduling policy which records fine-grained resource utiliziation for worker threads and actors in the parent coordinator of the workers.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/policy/profiled.hpp